/*
 * @Author: zc
 * @description 业务管理-二次回访
 */
import request from '/@/utils/request';
/**
 * @description 二次回访申请基础信息
 * @param {object} params
 */
export const secondVisitBaseData = (params?: object) => {
    return request({
        url: `/api/v1/Order/visitapply/basedata`,
        method: 'get',
        params
    });
};
/**
 * @description 二次回访申请列表
 * @param {object} params
 */
export const secondVisitList = (params: object) => {
    return request({
        url: `/api/v1/Order/visitapply/list`,
        method: 'get',
        params
    });
};
/**
 * @description 二次回访申请流程开启
 * @param {object} data
 */
export const secondVisitAdd = (data: object) => {
    return request({
        url: `/api/v1/Order/visitapply/add`,
        method: 'post',
        data
    });
}
/**
 * @description 二次回访申请流程开启参数
 */
export const secondVisitStart = () => {
    return request({
        url: `/api/v1/Order/visitapply/startflow`,
        method: 'get'
    });
}
/**
 * @description 二次回访详情
 * @param {object} id
 */
export const secondVisitDetail = (id: string) => {
    return request({
        url: `/api/v1/Order/visitapply/${id}`,
        method: 'get'
    });
}